• AVR Freaks

Hot!IPECMD issue with latest MPLAB versions.

Author
Somor
New Member
  • Total Posts : 8
  • Reward points : 0
  • Joined: 2014/11/29 16:57:57
  • Location: 0
  • Status: offline
2020/05/20 01:12:40 (permalink)
5 (1)

IPECMD issue with latest MPLAB versions.

Hi, I often need to program PIC devices from command-line. To do so I use ipecmd from MPLABX. With the latest versions, I have this issue:

When I execute command "/path-to-ipecmd/ipecmd.sh P32MX440F256H -tpPK3 -M -Y -F$(pwd)/myhex.hex"  i see this message in the programming log:
 
WARNING: An illegal reflective access operation has occurredWARNING: Illegal reflective access by org.openide.util.lookup.implspi.ActiveQueue$Impl (file:/opt/microchip/mplabx/v5.40/mplab_platform/platform/lib/org-openide-util-lookup.jar) to field java.lang.ref.ReferenceQueue.lockWARNING: Please consider reporting this to the maintainers of org.openide.util.lookup.implspi.ActiveQueue$ImplWARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operationsWARNING: All illegal access operations will be denied in a future releaseDFP Version Used : PIC32MX_DFP,1.3.231,Microchip
 
And nothing else happens.. It seems that ipecmd.sh stucks. I have also tried with java -jar ipecmd.jar, but same result. The most interesting part is that when I run MPLABX IPE GUI application, I have no issue with programming the device.
#1

3 Replies Related Threads

    Somor
    New Member
    • Total Posts : 8
    • Reward points : 0
    • Joined: 2014/11/29 16:57:57
    • Location: 0
    • Status: offline
    Re: IPECMD issue with latest MPLAB versions. 2020/05/20 04:49:26 (permalink)
    +1 (1)
    It seems that the problem is related with java version. I use Linux Mint 19.3 which comes with JRE 11. I had to install jre 8 and change the default version to be used. Then I also had to change the path to the java in ipecmd.sh.


    #2
    RISC
    Super Member
    • Total Posts : 5757
    • Reward points : 0
    • Status: online
    Re: IPECMD issue with latest MPLAB versions. 2020/05/25 16:55:28 (permalink)
    0
    Hi,
    MPLAB X normally has its own java version within the installer so it does not matter other java versions already installed.
    On MPLAB X v5.40, I read in release notes that MPLAB X changed from oracle to openJDK java.
    Regards
     
    #3
    Somor
    New Member
    • Total Posts : 8
    • Reward points : 0
    • Joined: 2014/11/29 16:57:57
    • Location: 0
    • Status: offline
    Re: IPECMD issue with latest MPLAB versions. 2020/05/26 00:32:18 (permalink)
    0
    Yeah, i know that, but installing MPLAB with it's default settings, gives the issue from first post. So i had to change java path to jre8.
    #4
    Jump to:
    © 2020 APG vNext Commercial Version 4.5